XSSObject (Exploit Pack)
Date: 2016-08-16

exploitpack

## Class XSSObject

- java.lang.Object
- - exploitpack.XSSObject

-     public class XSSObject
      extends java.lang.Object

  Author:
    jsacco

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBrowser()`
    `java.lang.String` | `getData()`
    `java.lang.String` | `getHost()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getOs()`
    `java.lang.String` | `getremoteIP()`
    `java.lang.String` | `getTimes()`
    `java.lang.String` | `getUsername()`
    `void` | `setBrowser(java.lang.String value)`
    `void` | `setData(java.lang.String value)`
    `void` | `setHost(java.lang.String value)`
    `void` | `setId(java.lang.String value)`
    `void` | `setOs(java.lang.String value)`
    `void` | `setremoteIP(java.lang.String value)`
    `void` | `setTimes(java.lang.String value)`
    `void` | `setUsername(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSObject

          public XSSObject()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String value)

    - #### getHost

          public java.lang.String getHost()

    - #### setHost

          public void setHost(java.lang.String value)

    - #### getBrowser

          public java.lang.String getBrowser()

    - #### setBrowser

          public void setBrowser(java.lang.String value)

    - #### getOs

          public java.lang.String getOs()

    - #### setOs

          public void setOs(java.lang.String value)

    - #### getTimes

          public java.lang.String getTimes()

    - #### setTimes

          public void setTimes(java.lang.String value)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String value)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String value)

    - #### getremoteIP

          public java.lang.String getremoteIP()

    - #### setremoteIP

          public void setremoteIP(java.lang.String value)